Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


Error, Graphics card or driver does not support shader model 2.0

Comment below rating threshold, click here to show it.

politic

Junior Member

12-24-2010

I'm having the same issue that everyone on this thread is complaining about: a video card with DirectX 9 that for some reason refuses to run LoL because of this error. Help please!


Comment below rating threshold, click here to show it.

Fleiska

Senior Member

12-24-2010

How hard is it to understand... if your graphic card doesnt support shared 2.0 it cant run LoL. Buy new graphic card.


Comment below rating threshold, click here to show it.

Beasterbuny

Member

12-25-2010

just updated my card today and now i cant play lol here is my Dxdiag


Comment below rating threshold, click here to show it.

Skullmunch

Junior Member

01-03-2011

i got the same problem


Comment below rating threshold, click here to show it.

Burnd

Junior Member

01-08-2011

Quote:
Fleiska:
How hard is it to understand... if your graphic card doesnt support shared 2.0 it cant run LoL. Buy new graphic card.


WHAT YOU ARE TELLING IS BULL-****.
Get your facts right next time, j*sus.
I was able to play lol for a really long time over 1.5 year, i played it 4 months with this video card, and now it tells i need shader 2.0 or higher, while i can run modern warfare 2 , which needs shader 3.0.
Riot, please do something about your not so overly exiting support.


Comment below rating threshold, click here to show it.

ColtAllman

Junior Member

01-09-2011

****


Comment below rating threshold, click here to show it.

Ymgodi

Junior Member

01-12-2011

Success!
I was having this same issue; upgraded from vista to 7 and when I got the cell shader needs to be 2.0 message. I have a Dell inspiron 1721 laptop.

It appears it was just a driver issue I downloaded from this site and the issue was fixed:

http://support.amd.com/us/gpudownload/windows/Legacy/Pages/radeonaiw_vista32.aspx

Maybe that will help somebody out there...


Comment below rating threshold, click here to show it.

Crosisx2

Senior Member

01-31-2011

Quote:
Fleiska:
How hard is it to understand... if your graphic card doesnt support shared 2.0 it cant run LoL. Buy new graphic card.


The problem people are having is not that they can't run LoL it's that they WERE running it and then suddenly after a patch they get this error. I get this error as well. I can play LoL fine still but every time the game goes to the character picture screen before a match start its freezes. It's fixed by reopening the game but it's quite annoying to have to do it every time a game starts.


Comment below rating threshold, click here to show it.

HockeyIcon

Junior Member

01-31-2011

I am having the same problem but am under different circumstances. I have a Mac Book pro and am using parallels to run windows 7. When I try to instal new drivers I get an error that says something like "we can not find the proper hardware."

Any thoughts?


Comment below rating threshold, click here to show it.

Kershbob

Junior Member

02-05-2011

hey playing using the mac client, worked fine for 2 months anyone got a fix yet? as were speaking im reinstalling